import express from 'express';
import { SCServerSocket } from 'socketcluster-server';
import SCWorker from 'socketcluster/scworker';
export declare class GunSocketClusterWorker extends SCWorker {
    readonly httpServer: any;
    readonly scServer: any;
    readonly options: any;
    run(): void;
    isAdmin(socket: SCServerSocket): boolean;
    protected setupMiddleware(): void;
    protected setupExpress(): express.Express;
    /**
     * Authenticate a connection for extra privileges
     *
     * @param req
     */
    protected authenticateLogin(socket: SCServerSocket, req: {
        readonly pub: string;
        readonly proof: {
            readonly m: string;
            readonly s: string;
        };
    }, respond: {
        (arg0: null, arg1: string): void;
        (arg0?: Error): void;
        (arg0: null, arg1: string): void;
    }): Promise<void>;
    protected onSubscribeMiddleware(req: any, next: (arg0?: Error) => void): void;
    protected writeValidationMiddleware(req: any, next: (arg0?: Error | boolean) => void): void;
}
